probe::nfs.proc.read_setup
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.proc.read_setup — NFS client setting up a read RPC task

## Synopsis

    nfs.proc.read_setup

## Values

`count`

  read bytes in this execution

`server_ip`

  IP address of server

`prot`

  transfer protocol

`version`

  NFS version

`size`

  read bytes in this execution

`offset`

  the file offset

## Description

The read_setup function is used to setup a read RPC task. It is not doing the actual read operation.

Prev | Up | Next
probe::nfs.proc.read_done | Home | probe::nfs.proc.release